Uploaded image for project: 'MariaDB ColumnStore'
  1. MariaDB ColumnStore
  2. MCOL-4166

MCS doesn't survive minor upgrade.

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: In Testing (View Workflow)
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 1.5.3
    • Fix Version/s: 5.5.1
    • Component/s: None
    • Labels:
      None
    • Sprint:
      10.4.0-1

      Description

      Can't smoothly upgrade MCS from 10.5.4 to 10.5.5.

      apt-get -y install ./mariadb-client-core-10.5_10.5.5+maria~bionic_amd64.deb ./mariadb-client-10.5_10.5.5+maria~bionic_amd64.deb ./mariadb-server-core-10.5_10.5.5+maria~bionic_amd64.deb ./mariadb-common_10.5.5+maria~bionic_all.deb ; apt-get -y install ./mariadb-server-10.5_10.5.5+maria~bionic_amd64.deb ; apt-get -y install ./mariadb-plugin-columnstore_10.5.5+maria~bionic_amd64.deb
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Note, selecting 'mariadb-client-core-10.5' instead of './mariadb-client-core-10.5_10.5.5+maria~bionic_amd64.deb'
      Note, selecting 'mariadb-client-10.5' instead of './mariadb-client-10.5_10.5.5+maria~bionic_amd64.deb'
      Note, selecting 'mariadb-server-core-10.5' instead of './mariadb-server-core-10.5_10.5.5+maria~bionic_amd64.deb'
      Note, selecting 'mariadb-common' instead of './mariadb-common_10.5.5+maria~bionic_all.deb'
      The following packages were automatically installed and are no longer required:
        expect galera-4 libcgi-fast-perl libcgi-pm-perl libencode-locale-perl libfcgi-perl libhtml-parser-perl libhtml-tagset-perl libhtml-template-perl libhttp-date-perl libhttp-message-perl libio-html-perl libjemalloc1
        liblwp-mediatypes-perl libsnappy1v5 libtcl8.6 libtimedate-perl liburi-perl linux-gcp-5.3-headers-5.3.0-1026 socat tcl-expect tcl8.6
      Use 'apt autoremove' to remove them.
      The following packages will be REMOVED:
        mariadb-server-10.5
      The following packages will be upgraded:
        mariadb-client-10.5 mariadb-client-core-10.5 mariadb-common mariadb-server-core-10.5
      4 upgraded, 0 newly installed, 1 to remove and 34 not upgraded.
      Need to get 0 B/8836 kB of archives.
      After this operation, 71.0 MB disk space will be freed.
      Get:1 /home/roman_nozdrin_mariadb_com/mariadb-common_10.5.5+maria~bionic_all.deb mariadb-common all 1:10.5.5+maria~bionic [4124 B]
      Get:2 /home/roman_nozdrin_mariadb_com/mariadb-client-core-10.5_10.5.5+maria~bionic_amd64.deb mariadb-client-core-10.5 amd64 1:10.5.5+maria~bionic [764 kB]
      Get:3 /home/roman_nozdrin_mariadb_com/mariadb-client-10.5_10.5.5+maria~bionic_amd64.deb mariadb-client-10.5 amd64 1:10.5.5+maria~bionic [1550 kB]
      Get:4 /home/roman_nozdrin_mariadb_com/mariadb-server-core-10.5_10.5.5+maria~bionic_amd64.deb mariadb-server-core-10.5 amd64 1:10.5.5+maria~bionic [6518 kB]
      (Reading database ... 214912 files and directories currently installed.)
      Removing mariadb-server-10.5 (1:10.5.4+maria~bionic) ...
      (Reading database ... 214787 files and directories currently installed.)
      Preparing to unpack .../mariadb-common_10.5.5+maria~bionic_all.deb ...
      Unpacking mariadb-common (1:10.5.5+maria~bionic) over (1:10.5.4+maria~bionic) ...
      dpkg: considering removing mariadb-client-10.5 in favour of mariadb-client-core-10.5 ...
      dpkg: yes, will remove mariadb-client-10.5 in favour of mariadb-client-core-10.5
      Preparing to unpack .../mariadb-client-core-10.5_10.5.5+maria~bionic_amd64.deb ...
      Unpacking mariadb-client-core-10.5 (1:10.5.5+maria~bionic) over (1:10.5.4+maria~bionic) ...
      Selecting previously unselected package mariadb-client-10.5.
      Preparing to unpack .../mariadb-client-10.5_10.5.5+maria~bionic_amd64.deb ...
      Unpacking mariadb-client-10.5 (1:10.5.5+maria~bionic) ...
      Preparing to unpack .../mariadb-server-core-10.5_10.5.5+maria~bionic_amd64.deb ...
      Unpacking mariadb-server-core-10.5 (1:10.5.5+maria~bionic) over (1:10.5.4+maria~bionic) ...
      Setting up mariadb-common (1:10.5.5+maria~bionic) ...
      Notice: configure-symlinks trigger could not be called.
      Please manually create symlinks by running: 
        mv -f /etc/mysql/my.cnf /etc/mysql/my.cnf.old
        ln -sf mariadb.cnf /etc/mysql/my.cnf
      Setting up mariadb-client-core-10.5 (1:10.5.5+maria~bionic) ...
      Setting up mariadb-client-10.5 (1:10.5.5+maria~bionic) ...
      Setting up mariadb-server-core-10.5 (1:10.5.5+maria~bionic) ...
      Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Note, selecting 'mariadb-server-10.5' instead of './mariadb-server-10.5_10.5.5+maria~bionic_amd64.deb'
      The following packages were automatically installed and are no longer required:
        expect libjemalloc1 libsnappy1v5 libtcl8.6 linux-gcp-5.3-headers-5.3.0-1026 tcl-expect tcl8.6
      Use 'apt autoremove' to remove them.
      Suggested packages:
        mailx mariadb-test tinyca
      The following NEW packages will be installed:
        mariadb-server-10.5
      0 upgraded, 1 newly installed, 0 to remove and 34 not upgraded.
      Need to get 0 B/4257 kB of archives.
      After this operation, 67.8 MB of additional disk space will be used.
      Get:1 /home/roman_nozdrin_mariadb_com/mariadb-server-10.5_10.5.5+maria~bionic_amd64.deb mariadb-server-10.5 amd64 1:10.5.5+maria~bionic [4257 kB]
      Preconfiguring packages ...
      Selecting previously unselected package mariadb-server-10.5.
      (Reading database ... 214787 files and directories currently installed.)
      Preparing to unpack .../mariadb-server-10.5_10.5.5+maria~bionic_amd64.deb ...
      /var/lib/mysql: found previous version 10.5
      Unpacking mariadb-server-10.5 (1:10.5.5+maria~bionic) ...
      Setting up mariadb-server-10.5 (1:10.5.5+maria~bionic) ...
      Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
      Processing triggers for ureadahead (0.100.0-21) ...
      Processing triggers for systemd (237-3ubuntu10.39) ...
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      Note, selecting 'mariadb-plugin-columnstore' instead of './mariadb-plugin-columnstore_10.5.5+maria~bionic_amd64.deb'
      The following package was automatically installed and is no longer required:
        linux-gcp-5.3-headers-5.3.0-1026
      Use 'apt autoremove' to remove it.
      The following NEW packages will be installed:
        mariadb-plugin-columnstore
      0 upgraded, 1 newly installed, 0 to remove and 34 not upgraded.
      Need to get 0 B/6350 kB of archives.
      After this operation, 29.9 MB of additional disk space will be used.
      Get:1 /home/roman_nozdrin_mariadb_com/mariadb-plugin-columnstore_10.5.5+maria~bionic_amd64.deb mariadb-plugin-columnstore amd64 1:10.5.5+maria~bionic [6350 kB]
      Selecting previously unselected package mariadb-plugin-columnstore.
      (Reading database ... 214911 files and directories currently installed.)
      Preparing to unpack .../mariadb-plugin-columnstore_10.5.5+maria~bionic_amd64.deb ...
      Unpacking mariadb-plugin-columnstore (1:10.5.5+maria~bionic) ...
      Setting up mariadb-plugin-columnstore (1:10.5.5+maria~bionic) ...
       
      Configuration file '/etc/columnstore/Columnstore.xml'
       ==> Modified (by you or by a script) since installation.
       ==> Package distributor has shipped an updated version.
         What would you like to do about it ?  Your options are:
          Y or I  : install the package maintainer's version
          N or O  : keep your currently-installed version
            D     : show the differences between the versions
            Z     : start a shell to examine the situation
       The default action is to keep your current version.
      *** Columnstore.xml (Y/I/N/O/D/Z) [default=N] ? Y
      Installing new version of config file /etc/columnstore/Columnstore.xml ...
      Installing new version of config file /etc/mysql/mariadb.conf.d/columnstore.cnf ...
      checking for engine columnstore...
      columnstore doesn't exist
      There was an error installing MariaDB ColumnStore engine plugin. Continue to install the engine though. \ 
      Please resolve the issues and run necessary scripts manually.
      Populating the engine initial system catalog.
      Processing triggers for mariadb-server-10.5 (1:10.5.5+maria~bionic) ...
      Processing triggers for libc-bin (2.27-3ubuntu1.2) ...
      root@drrtuy-u18-2:/home/roman_nozdrin_mariadb_com# ls /tmp/
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              dleeyh Daniel Lee
              Reporter:
              drrtuy Roman
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated: